set term svg size 800,560;
set output "plot-bb_8000samples_10000reps_probab_batches_full.svg";

set xlabel "Threshold p" # Beschriftung x-Achse

set xrange [0:0.0004] # Wertebereich x-Achse
set format x '%f'

set ylabel "No. of SMC runs (out of 10,000 trials) reporting probability <= p" # Beschriftung y-Achse
set ytics 2000        # y-Achse Schrittweite

set style fill solid  1.0 # Plot-Stil: Balken voll ausgefllt
set boxwidth 0.002
set key bottom right         # Legende
set grid           # Gitternetzlinien

plot "plot-bb_8000samples_10000reps.csv" using 4:2 with lines lc rgb 'blue' lw 3 title "AIS w CE ind. (batch=10,q=0.100000)", "plot-bb_8000samples_10000reps.csv" using 3:2 with lines lc rgb 'green' lw 3 title "TUTS guiding", "plot-bb_8000samples_10000reps.csv" using 1:2 with lines lc rgb 'orange' lw 3 title "Direct sampling", "plot-bb_8000samples_10000reps.csv" using 5:2 with lines lc rgb 'red' lw 3 title "Ground truth";


set term png size 800,560;
set output "plot-bb_8000samples_10000reps_probab_batches_full.png";

set xlabel "Threshold p" # Beschriftung x-Achse

set xrange [0:0.0004] # Wertebereich x-Achse
set format x '%f'

set ylabel "No. of SMC runs (out of 10,000 trials) reporting probability <= p" # Beschriftung y-Achse
set ytics 2000        # y-Achse Schrittweite

set style fill solid  1.0 # Plot-Stil: Balken voll ausgefllt
set boxwidth 0.002
set key bottom right         # Legende
set grid           # Gitternetzlinien

plot "plot-bb_8000samples_10000reps.csv" using 4:2 with lines lc rgb 'blue' lw 3 title "AIS w CE ind. (batch=10,q=0.100000)", "plot-bb_8000samples_10000reps.csv" using 3:2 with lines lc rgb 'green' lw 3 title "TUTS guiding", "plot-bb_8000samples_10000reps.csv" using 1:2 with lines lc rgb 'orange' lw 3 title "Direct sampling", "plot-bb_8000samples_10000reps.csv" using 5:2 with lines lc rgb 'red' lw 3 title "Ground truth";


exit
